/****************************************************************************
**
** Copyright (C) 2024 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the release tools of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL-EXCEPT$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 as published by the Free Software
** Foundation with exceptions as appearing in the file LICENSE.GPL3-EXCEPT
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

// constructor
function Component()
{
    // Shader Tools will be an additional component from 6.8.0 onwards.
    var hostDependencyStr = "";
    if ("691" == "dev" || 69 >= 68) {
        hostDependencyStr = "qt.qt6.691.addons.qtshadertools";
        component.addDependency(hostDependencyStr);

        // Qt 3D is 'Deprecated' after Qt 6.8.0
        var dynamicDisplayName = component.value("DisplayName");
        var dynamicDescription = component.value("Description") + "&lt;br&gt;&lt;br&gt;" + dynamicDisplayName + " in Qt 6.9 is deprecated.";
        dynamicDisplayName = dynamicDisplayName + " (Deprecated)";
        component.setValue("DisplayName", dynamicDisplayName);
        component.setValue("Description", dynamicDescription);
    }
    else {
        hostDependencyStr = "qt.qt6.691.qtshadertools";
        component.addDependency(hostDependencyStr);
    }
}
